Index: squid/src/recv-announce.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/recv-announce.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/recv-announce.c	6 Jan 2001 12:40:15 -0000	1.1.1.1.4.1.2.1
+++ squid/src/recv-announce.c	27 Aug 2001 21:48:21 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,7 +1,5 @@
-
-
 /*
- * $Id: recv-announce.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: recv-announce.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 0     Announcement Server
  * AUTHOR: Harvest Derived
@@ -121,10 +119,10 @@
 	}
 	xmemcpy(ip, &R.sin_addr.s_addr, 4);
 	hp = gethostbyaddr(ip, 4, AF_INET);
-	printf("==============================================================================\n");
-	printf("Received from %s [%s]\n",
-	    inet_ntoa(R.sin_addr),
-	    (hp && hp->h_name) ? hp->h_name : "Unknown");
+	printf
+	    ("==============================================================================\n");
+	printf("Received from %s [%s]\n", inet_ntoa(R.sin_addr), (hp
+		&& hp->h_name) ? hp->h_name : "Unknown");
 	fputs(buf, stdout);
 	fflush(stdout);
     }
Index: squid/src/redirect.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/redirect.c,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/redirect.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.2.2.1
+++ squid/src/redirect.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: redirect.c,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: redirect.c,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 29    Redirector
  * AUTHOR: Duane Wessels
@@ -35,14 +34,16 @@
 
 #include "squid.h"
 
-typedef struct {
+typedef struct
+{
     void *data;
     char *orig_url;
     struct in_addr client_addr;
     const char *client_ident;
     const char *method_s;
     RH *handler;
-} redirectStateData;
+}
+redirectStateData;
 
 static HLPCB redirectHandleReply;
 static void redirectStateFree(redirectStateData * r);
@@ -141,10 +142,7 @@
 	fqdn = dash_str;
     snprintf(buf, 8192, "%s %s/%s %s %s\n",
 	r->orig_url,
-	inet_ntoa(r->client_addr),
-	fqdn,
-	r->client_ident,
-	r->method_s);
+	inet_ntoa(r->client_addr), fqdn, r->client_ident, r->method_s);
     helperSubmit(redirectors, buf, redirectHandleReply, r);
 }
 
@@ -162,8 +160,7 @@
     helperOpenServers(redirectors);
     if (!init) {
 	cachemgrRegister("redirector",
-	    "URL Redirector Stats",
-	    redirectStats, 0, 1);
+	    "URL Redirector Stats", redirectStats, 0, 1);
 	init = 1;
     }
 }
Index: squid/src/refresh.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/refresh.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/refresh.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/refresh.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,7 +1,5 @@
-
-
 /*
- * $Id: refresh.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: refresh.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 22    Refresh Calculation
  * AUTHOR: Harvest Derived
@@ -40,11 +38,14 @@
 
 #include "squid.h"
 
-typedef enum {
+typedef enum
+{
     rcHTTP, rcICP, rcHTCP, rcCDigest, rcStore, rcCount
-} refreshCountsEnum;
+}
+refreshCountsEnum;
 
-static struct RefreshCounts {
+static struct RefreshCounts
+{
     const char *proto;
     int total;
     int revalidate_stale;
@@ -65,7 +66,8 @@
     /* maybe-counters -- intermediate decisions that may affect the result */
     int request_reload_ignore_maybe;
     int response_lmt_future_maybe;
-} refreshCounts[rcCount];
+}
+refreshCounts[rcCount];
 
 /*
  * Defaults:
@@ -109,7 +111,8 @@
  *  note: request maybe null (e.g. for cache digests build)
  */
 static int
-refreshCheck(const StoreEntry * entry, request_t * request, time_t delta, struct RefreshCounts *rc)
+refreshCheck(const StoreEntry * entry, request_t * request, time_t delta,
+    struct RefreshCounts *rc)
 {
     const refresh_t *R;
     const char *uri = NULL;
@@ -309,12 +312,10 @@
 {
     return refreshCheck(entry,
 	entry->mem_obj ? entry->mem_obj->request : NULL,
-	delta,
-	&refreshCounts[rcCDigest]);
+	delta, &refreshCounts[rcCDigest]);
 }
 
-time_t
-getMaxAge(const char *url)
+time_t getMaxAge(const char *url)
 {
     const refresh_t *R;
     debug(22, 3) ("getMaxAge: '%s'\n", url);
@@ -376,11 +377,11 @@
     for (i = 0; i < rcCount; ++i)
 	storeAppendPrintf(sentry, "%10s\t%6d\t%6.2f\n",
 	    refreshCounts[i].proto,
-	    refreshCounts[i].total,
-	    xpercent(refreshCounts[i].total, total));
+	    refreshCounts[i].total, xpercent(refreshCounts[i].total, total));
 
     /* per protocol histograms */
-    storeAppendPrintf(sentry, "\n\nRefreshCheck histograms for various protocols\n");
+    storeAppendPrintf(sentry,
+	"\n\nRefreshCheck histograms for various protocols\n");
     for (i = 0; i < rcCount; ++i)
 	refreshCountsStats(sentry, &refreshCounts[i]);
 }
@@ -396,8 +397,5 @@
     refreshCounts[rcCDigest].proto = "Cache Digests";
 
     cachemgrRegister("refresh",
-	"Refresh Algorithm Statistics",
-	refreshStats,
-	0,
-	1);
+	"Refresh Algorithm Statistics", refreshStats, 0, 1);
 }
Index: squid/src/send-announce.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/send-announce.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/send-announce.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/send-announce.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: send-announce.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: send-announce.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 27    Cache Announcer
  * AUTHOR: Duane Wessels
@@ -47,7 +46,8 @@
 	return;
     cbdataAdd(junk = xmalloc(1), cbdataXfree, 0);
     ipcache_nbgethostbyname(Config.Announce.host, send_announce, junk);
-    eventAdd("send_announce", start_announce, NULL, (double) Config.Announce.period, 1);
+    eventAdd("send_announce", start_announce, NULL,
+	(double) Config.Announce.period, 1);
 }
 
 static void
@@ -75,16 +75,14 @@
     assert(Config.Sockaddr.http);
     snprintf(tbuf, 256, "Running on %s %d %d\n",
 	getMyHostname(),
-	(int) ntohs(Config.Sockaddr.http->s.sin_port),
-	(int) Config.Port.icp);
+	(int) ntohs(Config.Sockaddr.http->s.sin_port), (int) Config.Port.icp);
     strcat(sndbuf, tbuf);
     if (Config.adminEmail) {
 	snprintf(tbuf, 256, "cache_admin: %s\n", Config.adminEmail);
 	strcat(sndbuf, tbuf);
     }
     snprintf(tbuf, 256, "generated %d [%s]\n",
-	(int) squid_curtime,
-	mkhttpdlogtime(&squid_curtime));
+	(int) squid_curtime, mkhttpdlogtime(&squid_curtime));
     strcat(sndbuf, tbuf);
     l = strlen(sndbuf);
     if ((file = Config.Announce.file) != NULL) {
@@ -104,8 +102,7 @@
     S.sin_addr = ia->in_addrs[0];
     assert(theOutIcpConnection > 0);
     x = comm_udp_sendto(theOutIcpConnection,
-	&S, sizeof(S),
-	sndbuf, strlen(sndbuf) + 1);
+	&S, sizeof(S), sndbuf, strlen(sndbuf) + 1);
     if (x < 0)
 	debug(27, 1) ("send_announce: FD %d: %s\n", theOutIcpConnection,
 	    xstrerror());
Index: squid/src/snmp_agent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/snmp_agent.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/snmp_agent.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/snmp_agent.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: snmp_agent.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: snmp_agent.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 49     SNMP Interface
  * AUTHOR: Kostas Anagnostakis
@@ -55,18 +54,15 @@
     switch (Var->name[LEN_SQ_SYS]) {
     case SYSVMSIZ:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    store_mem_size >> 10,
-	    ASN_INTEGER);
+	    store_mem_size >> 10, ASN_INTEGER);
 	break;
     case SYSSTOR:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    store_swap_size,
-	    ASN_INTEGER);
+	    store_swap_size, ASN_INTEGER);
 	break;
     case SYS_UPTIME:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    tvSubDsec(squid_start, current_time) * 100,
-	    SMI_TIMETICKS);
+	    tvSubDsec(squid_start, current_time) * 100, SMI_TIMETICKS);
 	break;
     default:
 	*ErrP = SNMP_ERR_NOSUCHNAME;
@@ -80,7 +76,8 @@
 {
     variable_list *Answer = NULL;
     char *cp = NULL;
-    debug(49, 5) ("snmp_confFn: Processing request with magic %d!\n", Var->name[8]);
+    debug(49, 5) ("snmp_confFn: Processing request with magic %d!\n",
+	Var->name[8]);
     *ErrP = SNMP_ERR_NOERROR;
     switch (Var->name[LEN_SQ_CONF]) {
     case CONF_ADMIN:
@@ -105,23 +102,19 @@
 	switch (Var->name[LEN_SQ_CONF + 1]) {
 	case CONF_ST_MMAXSZ:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Config.memMaxSize >> 20,
-		ASN_INTEGER);
+		(snint) Config.memMaxSize >> 20, ASN_INTEGER);
 	    break;
 	case CONF_ST_SWMAXSZ:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Config.Swap.maxSize >> 10,
-		ASN_INTEGER);
+		(snint) Config.Swap.maxSize >> 10, ASN_INTEGER);
 	    break;
 	case CONF_ST_SWHIWM:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Config.Swap.highWaterMark,
-		ASN_INTEGER);
+		(snint) Config.Swap.highWaterMark, ASN_INTEGER);
 	    break;
 	case CONF_ST_SWLOWM:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Config.Swap.lowWaterMark,
-		ASN_INTEGER);
+		(snint) Config.Swap.lowWaterMark, ASN_INTEGER);
 	    break;
 	default:
 	    *ErrP = SNMP_ERR_NOSUCHNAME;
@@ -151,7 +144,8 @@
     char *cp = NULL;
     peer *p = NULL;
     int cnt = 0;
-    debug(49, 5) ("snmp_meshPtblFn: peer %d requested!\n", Var->name[LEN_SQ_MESH + 3]);
+    debug(49, 5) ("snmp_meshPtblFn: peer %d requested!\n",
+	Var->name[LEN_SQ_MESH + 3]);
     *ErrP = SNMP_ERR_NOERROR;
     laddr = oid2addr(&Var->name[LEN_SQ_MESH + 3]);
     for (p = Config.peers; p != NULL; p = p->next, cnt++)
@@ -171,63 +165,51 @@
 	break;
     case MESH_PTBL_IP:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) p->in_addr.sin_addr.s_addr,
-	    SMI_IPADDRESS);
+	    (snint) p->in_addr.sin_addr.s_addr, SMI_IPADDRESS);
 	break;
     case MESH_PTBL_HTTP:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) p->http_port,
-	    ASN_INTEGER);
+	    (snint) p->http_port, ASN_INTEGER);
 	break;
     case MESH_PTBL_ICP:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) p->icp.port,
-	    ASN_INTEGER);
+	    (snint) p->icp.port, ASN_INTEGER);
 	break;
     case MESH_PTBL_TYPE:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) p->type,
-	    ASN_INTEGER);
+	    (snint) p->type, ASN_INTEGER);
 	break;
     case MESH_PTBL_STATE:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) neighborUp(p),
-	    ASN_INTEGER);
+	    (snint) neighborUp(p), ASN_INTEGER);
 	break;
     case MESH_PTBL_SENT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.pings_sent,
-	    ASN_INTEGER);
+	    p->stats.pings_sent, ASN_INTEGER);
 	break;
     case MESH_PTBL_PACKED:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.pings_acked,
-	    ASN_INTEGER);
+	    p->stats.pings_acked, ASN_INTEGER);
 	break;
     case MESH_PTBL_FETCHES:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.fetches,
-	    SMI_COUNTER32);
+	    p->stats.fetches, SMI_COUNTER32);
 	break;
     case MESH_PTBL_RTT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.rtt,
-	    ASN_INTEGER);
+	    p->stats.rtt, ASN_INTEGER);
 	break;
     case MESH_PTBL_IGN:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.ignored_replies,
-	    SMI_COUNTER32);
+	    p->stats.ignored_replies, SMI_COUNTER32);
 	break;
     case MESH_PTBL_KEEPAL_S:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.n_keepalives_sent,
-	    SMI_COUNTER32);
+	    p->stats.n_keepalives_sent, SMI_COUNTER32);
 	break;
     case MESH_PTBL_KEEPAL_R:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    p->stats.n_keepalives_recv,
-	    SMI_COUNTER32);
+	    p->stats.n_keepalives_recv, SMI_COUNTER32);
 	break;
     default:
 	*ErrP = SNMP_ERR_NOSUCHNAME;
@@ -241,42 +223,38 @@
 {
     variable_list *Answer = NULL;
     static struct rusage rusage;
-    debug(49, 5) ("snmp_prfSysFn: Processing request with magic %d!\n", Var->name[LEN_SQ_PRF + 1]);
+    debug(49, 5) ("snmp_prfSysFn: Processing request with magic %d!\n",
+	Var->name[LEN_SQ_PRF + 1]);
     *ErrP = SNMP_ERR_NOERROR;
     switch (Var->name[LEN_SQ_PRF + 1]) {
     case PERF_SYS_PF:
 	squid_getrusage(&rusage);
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    rusage_pagefaults(&rusage),
-	    SMI_COUNTER32);
+	    rusage_pagefaults(&rusage), SMI_COUNTER32);
 	break;
     case PERF_SYS_NUMR:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    IOStats.Http.reads,
-	    SMI_COUNTER32);
+	    IOStats.Http.reads, SMI_COUNTER32);
 	break;
     case PERF_SYS_MEMUSAGE:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) memTotalAllocated() >> 10,
-	    ASN_INTEGER);
+	    (snint) memTotalAllocated() >> 10, ASN_INTEGER);
 	break;
     case PERF_SYS_CPUTIME:
 	squid_getrusage(&rusage);
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) rusage_cputime(&rusage),
-	    ASN_INTEGER);
+	    (snint) rusage_cputime(&rusage), ASN_INTEGER);
 	break;
     case PERF_SYS_CPUUSAGE:
 	squid_getrusage(&rusage);
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) dpercent(rusage_cputime(&rusage), tvSubDsec(squid_start, current_time)),
-	    ASN_INTEGER);
+	    (snint) dpercent(rusage_cputime(&rusage), tvSubDsec(squid_start,
+		    current_time)), ASN_INTEGER);
 	break;
     case PERF_SYS_MAXRESSZ:
 	squid_getrusage(&rusage);
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) rusage_maxrss(&rusage),
-	    ASN_INTEGER);
+	    (snint) rusage_maxrss(&rusage), ASN_INTEGER);
 	break;
     case PERF_SYS_CURLRUEXP:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
@@ -289,23 +267,19 @@
 	break;
     case PERF_SYS_CURUNLREQ:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) Counter.unlink.requests,
-	    SMI_COUNTER32);
+	    (snint) Counter.unlink.requests, SMI_COUNTER32);
 	break;
     case PERF_SYS_CURUNUSED_FD:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) Squid_MaxFD - Number_FD,
-	    SMI_GAUGE32);
+	    (snint) Squid_MaxFD - Number_FD, SMI_GAUGE32);
 	break;
     case PERF_SYS_CURRESERVED_FD:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) Number_FD,
-	    SMI_GAUGE32);
+	    (snint) Number_FD, SMI_GAUGE32);
 	break;
     case PERF_SYS_NUMOBJCNT:
 	Answer = snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) memInUse(MEM_STOREENTRY),
-	    SMI_COUNTER32);
+	    (snint) memInUse(MEM_STOREENTRY), SMI_COUNTER32);
 	break;
     default:
 	*ErrP = SNMP_ERR_NOSUCHNAME;
@@ -322,85 +296,71 @@
     static StatCounters *l = NULL;
     double x;
     int minutes;
-    debug(49, 5) ("snmp_prfProtoFn: Processing request with magic %d!\n", Var->name[LEN_SQ_PRF]);
+    debug(49, 5) ("snmp_prfProtoFn: Processing request with magic %d!\n",
+	Var->name[LEN_SQ_PRF]);
     *ErrP = SNMP_ERR_NOERROR;
     switch (Var->name[LEN_SQ_PRF + 1]) {
     case PERF_PROTOSTAT_AGGR:	/* cacheProtoAggregateStats */
 	switch (Var->name[LEN_SQ_PRF + 2]) {
 	case PERF_PROTOSTAT_AGGR_HTTP_REQ:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.requests,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.requests, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_HTTP_HITS:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.hits,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.hits, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_HTTP_ERRORS:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.errors,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.errors, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_HTTP_KBYTES_IN:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.kbytes_in.kb,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.kbytes_in.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_HTTP_KBYTES_OUT:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.kbytes_out.kb,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.kbytes_out.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_ICP_S:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.icp.pkts_sent,
-		SMI_COUNTER32);
+		(snint) Counter.icp.pkts_sent, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_ICP_R:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.icp.pkts_recv,
-		SMI_COUNTER32);
+		(snint) Counter.icp.pkts_recv, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_ICP_SKB:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.icp.kbytes_sent.kb,
-		SMI_COUNTER32);
+		(snint) Counter.icp.kbytes_sent.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_ICP_RKB:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.icp.kbytes_recv.kb,
-		SMI_COUNTER32);
+		(snint) Counter.icp.kbytes_recv.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_REQ:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.server.all.requests,
-		SMI_INTEGER);
+		(snint) Counter.server.all.requests, SMI_INTEGER);
 	    break;
 	case PERF_PROTOSTAT_AGGR_ERRORS:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.server.all.errors,
-		SMI_INTEGER);
+		(snint) Counter.server.all.errors, SMI_INTEGER);
 	    break;
 	case PERF_PROTOSTAT_AGGR_KBYTES_IN:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.server.all.kbytes_in.kb,
-		SMI_COUNTER32);
+		(snint) Counter.server.all.kbytes_in.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_KBYTES_OUT:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.server.all.kbytes_out.kb,
-		SMI_COUNTER32);
+		(snint) Counter.server.all.kbytes_out.kb, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_CURSWAP:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) store_swap_size,
-		SMI_COUNTER32);
+		(snint) store_swap_size, SMI_COUNTER32);
 	    break;
 	case PERF_PROTOSTAT_AGGR_CLIENTS:
 	    Answer = snmp_var_new_integer(Var->name, Var->name_length,
-		(snint) Counter.client_http.clients,
-		SMI_COUNTER32);
+		(snint) Counter.client_http.clients, SMI_COUNTER32);
 	    break;
 	default:
 	    *ErrP = SNMP_ERR_NOSUCHNAME;
@@ -440,10 +400,14 @@
 		&f->client_http.hit_svc_time);
 	    break;
 	case PERF_MEDIAN_ICP_QUERY:
-	    x = statHistDeltaMedian(&l->icp.query_svc_time, &f->icp.query_svc_time);
+	    x =
+		statHistDeltaMedian(&l->icp.query_svc_time,
+		&f->icp.query_svc_time);
 	    break;
 	case PERF_MEDIAN_ICP_REPLY:
-	    x = statHistDeltaMedian(&l->icp.reply_svc_time, &f->icp.reply_svc_time);
+	    x =
+		statHistDeltaMedian(&l->icp.reply_svc_time,
+		&f->icp.reply_svc_time);
 	    break;
 	case PERF_MEDIAN_DNS:
 	    x = statHistDeltaMedian(&l->dns.svc_time, &f->dns.svc_time);
@@ -459,8 +423,7 @@
 	    return NULL;
 	}
 	return snmp_var_new_integer(Var->name, Var->name_length,
-	    (snint) x,
-	    SMI_INTEGER);
+	    (snint) x, SMI_INTEGER);
     }
     *ErrP = SNMP_ERR_NOSUCHNAME;
     return NULL;
Index: squid/src/snmp_core.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/snmp_core.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/snmp_core.c	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.1.2.3
+++ squid/src/snmp_core.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: snmp_core.c,v 1.1.1.3.4.1.2.3 2001/07/15 08:49:37 serassio Exp $
+ * $Id: snmp_core.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 49    SNMP support
  * AUTHOR: Glenn Chisholm
@@ -40,9 +39,11 @@
 #define MAX_PROTOSTAT 5
 
 typedef struct _mib_tree_entry mib_tree_entry;
-typedef oid *(instance_Fn) (oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
+typedef oid *(instance_Fn) (oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn);
 
-struct _mib_tree_entry {
+struct _mib_tree_entry
+{
     oid *name;
     int len;
     oid_ParseFn *parsefunction;
@@ -56,24 +57,33 @@
 mib_tree_entry *mib_tree_last;
 
 #if STDC_HEADERS
-static mib_tree_entry *snmpAddNode(oid * name, int len, oid_ParseFn * parsefunction, instance_Fn * instancefunction, int children,...);
-static oid *snmpCreateOid(int length,...);
+static mib_tree_entry *snmpAddNode(oid * name, int len,
+    oid_ParseFn * parsefunction, instance_Fn * instancefunction, int children,
+    ...);
+static oid *snmpCreateOid(int length, ...);
 #else
 static mib_tree_entry *snmpAddNode();
 static oid *snmpCreateOid();
 #endif
 extern void (*snmplib_debug_hook) (int, char *);
-static oid *static_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
-static oid *time_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
-static oid *peer_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
-static oid *client_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
+static oid *static_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn);
+static oid *time_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn);
+static oid *peer_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn);
+static oid *client_Inst(oid * name, snint * len, mib_tree_entry * current,
+    oid_ParseFn ** Fn);
 static void snmpDecodePacket(snmp_request_t * rq);
 static void snmpConstructReponse(snmp_request_t * rq);
 static struct snmp_pdu *snmpAgentResponse(struct snmp_pdu *PDU);
-static oid_ParseFn *snmpTreeNext(oid * Current, snint CurrentLen, oid ** Next, snint * NextLen);
+static oid_ParseFn *snmpTreeNext(oid * Current, snint CurrentLen, oid ** Next,
+    snint * NextLen);
 static oid_ParseFn *snmpTreeGet(oid * Current, snint CurrentLen);
-static mib_tree_entry *snmpTreeEntry(oid entry, snint len, mib_tree_entry * current);
-static mib_tree_entry *snmpTreeSiblingEntry(oid entry, snint len, mib_tree_entry * current);
+static mib_tree_entry *snmpTreeEntry(oid entry, snint len,
+    mib_tree_entry * current);
+static mib_tree_entry *snmpTreeSiblingEntry(oid entry, snint len,
+    mib_tree_entry * current);
 static oid *snmpOidDup(oid * A, snint ALen);
 static void snmpSnmplibDebug(int lvl, char *buf);
 
